Overview
GET/auth/my-methodsauth

List the caller's own auth methods

List my-methods.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

auth methods

  • idstring
  • userIdstring
  • providerstring
  • providerIdstring?
  • hasCredentialboolean
  • createdAtstring
  • updatedAtstring
Example
[
  {
    "id": "string",
    "userId": "string",
    "provider": "string",
    "providerId": "string",
    "hasCredential": true,
    "createdAt": "string",
    "updatedAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/auth/my-methods" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/my-methods", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();